Bug 469948 - Error in babel file for Latin language
Summary: Error in babel file for Latin language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-04 20:59 UTC by Mark Polo
Modified: 2013-07-02 23:32 UTC (History)
3 users (show)

Fixed In Version: 2007-31.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 02:27:36 UTC


Attachments (Terms of Use)
The corrected file, downloaded from CTAN. (6.60 KB, text/plain)
2009-06-18 15:46 UTC, Mark Polo
no flags Details

Description Mark Polo 2008-11-04 20:59:42 UTC
Description of problem:
When the latin language is selected, latex fails with:

! Undefined control sequence.
l.184 \addtoextraslatin
                       {\LatinMarksOff}


Version-Release number of selected component (if applicable):
texlive-latex-2007-30.fc9.x86_64

How reproducible:
Select the latin language in Babel. Compile.

Steps to Reproduce:
1. Create a latex file using Babel. Issue \selectlanguage{latin}.
2. Run latex on the file.
3.
  
Actual results:
See above.


Expected results:
Correct parsing of the file.

Additional info:
This problem can be solved very simply by replacing the /usr/share/texmf/tex/generic/babel/latin.ldf with the current latin.ldf from CTAN. (It just ought to be packaged for everyone else.)

Comment 1 Mark Polo 2008-12-15 16:49:30 UTC
Problem persists with texlive-latex-2007-35.fc10.x86_64.

Comment 2 Bug Zapper 2009-06-10 03:10:47 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Mark Polo 2009-06-18 15:45:43 UTC
This problem persisted throughout Fedora 10, and is still current in Fedora 11! I am using texlive-latex-2007-42.fc11.x86_64.

The fix is also still correct. I will attach the necessary file. You just have to replace latin.ldf from your distribution with this file. Thank you!

Comment 4 Mark Polo 2009-06-18 15:46:47 UTC
Created attachment 348506 [details]
The corrected file, downloaded from CTAN.

Comment 5 Fedora Update System 2009-10-21 19:18:32 UTC
texlive-texmf-2007-31.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-31.fc12

Comment 6 Fedora Update System 2009-10-21 19:19:28 UTC
texlive-texmf-2007-31.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-31.fc11

Comment 7 Fedora Update System 2009-10-21 19:30:14 UTC
texlive-texmf-2007-31.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/texlive-texmf-2007-31.fc10

Comment 8 Fedora Update System 2009-10-27 06:50:31 UTC
texlive-texmf-2007-31.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10778

Comment 9 Fedora Update System 2009-10-27 06:53:11 UTC
texlive-texmf-2007-31.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texlive-texmf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10790

Comment 10 Fedora Update System 2009-11-13 02:27:27 UTC
texlive-texmf-2007-31.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-11-13 02:36:38 UTC
texlive-texmf-2007-31.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.